name: provider-pvecluster-native
runtime: yaml
plugins:
  providers:
    - name: pvecluster
      path: ../../bin

resources:
  myRandomResource:
    type: pvecluster:Random
    properties:
      length: 24

outputs:
  output:
    value: ${myRandomResource.result}
